#!/bin/sh

if [ -e /usr/lib/pyjama/pyjama.py ]
then
   echo "Please delete /usr/lib/pyjama!"
   echo "This directory is not needed any more"
fi


echo "Installing Pyjama"

sudo mkdir /usr/share/apps/pyjama 2>/dev/null
sudo cp -R ./src/* /usr/share/apps/pyjama/
sudo cp -R ./images /usr/share/apps/pyjama/
sudo ln -fs /usr/share/apps/pyjama/pyjama.py /usr/bin/pyjama 
echo ""
echo "Checking modules..."
pyjama check-modules

echo ""
echo "Creating menu-entry for pyjama"
sudo mv /usr/share/apps/pyjama/images/pyjama.xpm /usr/share/pixmaps
sudo mv /usr/share/apps/pyjama/pyjama.desktop /usr/share/applications

echo ""
echo "Pyjama is now installed. Downloading database now, please hit ENTER"
echo "If you are sure, that the database is already on your PC, you can exit with STRG+C"
read input
#python /usr/share/apps/pyjama/download_db.py
pyjama -u #i

#echo "Datenbank wurde heruntergeladen, lade nun das Imagepack.Durch das Imagepack wird die Darstellung der Alben massiv beschleunigt, da diese nicht mehr zur Laufzeit aus dem Netz geladen werden müssen."
#echo "Zur Zeit sind ca. 1200 Cover im Imagepack enthalten."
#python /usr/share/apps/pyjama/get_imagepack.py

#echo "Führen sie 'pyjama' aus, um das Programm zu starten"
