#!/usr/bin/env python
#from crunchy

import os
import sys
import imp
import clEvent

class Plugins():
    def __init__(self, pyjama):
        self.pyjama = pyjama
        self.loaded = {}
        pluginpath = os.path.join(os.path.dirname(imp.find_module("pyjama")[1]), "plugins/")
        if self.pyjama.debug:
            print pluginpath
        pluginfiles = [fname[:-3] for fname in os.listdir(pluginpath) if fname.endswith(".py")]

        if not pluginpath in sys.path:
            sys.path.append(pluginpath)
            imported_modules = [__import__(fname) for fname in pluginfiles]

        #[mod.register() for mod in imported_modules]

        for mod in imported_modules:
#            try:
            name = mod.__name__
            self.loaded[name] = mod.main(self.pyjama)
            #print "Plugin '%s' loaded" % name
            ev = self.pyjama.Events
            ev.pluginloaded(name)

#            except AttributeError:
#                print "Error importing plugin '%s'" % name
#                print "You need to have a class 'main' in it, which can be called by pyjama"
#            except TypeError:
#                print "Init-function of '%s' needs to take two params" % name

#x = Plugins()
#x.plugins['test2'].test()
