#!/usr/bin/python
# -*- coding: utf-8 -*-

#############
# CONSTANTS #
#############

# STANDARD PYJAMA GTK SCHEME
STANDARD_THEME = "Clearlooks-DarkLime"

# SHOW WINDOW IN TASKBAR?
SHOW_WINDOW_IN_TASKBAR = False

# WHERE PYJAMA IS TO BE FOUND
INSTALL_DIR_POSIX = "/usr/share/apps/pyjama"
INSTALL_DIR = "/usr/share/apps/pyjama"

# Which format should torrent-downloads have?
FORMAT = "mp32" # ogg3

# MAXIMUM SIMULTANEOUS THREAD DOWNLOADS
MAX_THREADS = 20

# HOW MANY SECONS TO WAIT FOR THREADS
THREAD_WAIT = 1

# WHAT IS THE ALBUM URL
ALBUM_URL = "http://www.jamendo.com/en/album/URL"

# WHAT SOUND SHOULD BE SET ON START
DEFAULT_VOL = 75

# THE HIGHEST POSSOBLE VOLUME (0 to 1000) // > 100 MEANS DIGITAL AMPLIFICATION
# 100 SHOULD BE MAXIMUM!
VOL_MAX = 130

# HOW OFTEN DO YOU WANT TO RETRY CONNECTING WITH STREAM(SECS)
CONNECTION_TRIES = 5*5# 30

# HOW MANY VIEWS SHOULD BE STORED IN HISTORY
HISTORY_SIZE = 20

# EVERY WHAT SHOULD THE PLAYER BE CHECKED
TIMER_INTERVAL = 1024

# HOW OFTEN SHOULD VARIABLE INFORMATION BE RELOADED FROM JAMENDO
CACHING_TIME_SHORT = (60*60*24*2) #(60*60*24*7)

# HOW OFTEN SHOULD CONSTANT INFORMATION BE RELOADED FROM JAMENDO
CACHING_TIME_LONG = (60*60*24*60) #(60*60*24*7)

# MAXIMUM # RESULTS FOR QUERIES
DB_SEARCH_LIMIT = 100

# HOW LONG SHOULD NOTIFICATIONS BE SHOWN IN MS
NOTIFICATION_DELAY = 5000

# HOW BIG SHOULD COVERS IN NOTIFICATIONS BE? (PX)
NOTIFICATION_COVER_SIZE = 50
