#!/usr/bin/python
# -*- coding: utf-8 -*-

import os
from time import time

import functions

# Gettext - Übersetzung
functions.translation_gettext()
#def _(string):
#    return string
    
def preparedirs():
    home = os.getenv("HOME")
    if not os.path.exists(os.path.join(home, ".pyjama", "images")):
        os.makedirs(os.path.join(home, ".pyjama", "images"))
    return os.path.join(home, ".pyjama")

###################################################################
#
# download and extrackt images 
# RETURNS: 0 = ok, 1 = download error, 2 = extraction error
# 
def download_pack():
    home=preparedirs()
    print _("Downloading imagepack")
    ret = os.system("wget -cO %s xn--ngel-5qa.de/pyjama/release/imagepack.tar.gz" % os.path.join(home, "imagepack.tar.gz"))
    if ret <> 0:
        print _("Error downloading the imagepack")
        return 1
    else:
        print _("Extracting imagepack to '~/.pyjama/images'")
        ret = os.system("tar -C %s -xf %s" % (home, os.path.join(home, "imagepack.tar.gz")))
        if ret <> 0:
            print _("Error extracting the imagepack")
            return 2
        else:
            print _("All done")
            return 0

