#!/usr/bin/env python
# -*- coding: utf-8 -*-

import urllib
import md5
import os

import threading

from constants import *
import functions

# Gettext - Übersetzung
functions.translation_gettext()
#def _(string):
#    return string

class Download( threading.Thread ):
    def __init__( self, parent, url, num):
        self.url = url
        self.parent = parent
        self.num = num
        threading.Thread.__init__(self)
  
    ###################################################################
    #
    # get a album's cover
    # RETURNS: None = error
    #
    def run( self ):
        md5hash = md5.new(self.url).hexdigest()
        imagepath = os.path.join(self.parent.home, "images", md5hash)
        if not os.path.exists(imagepath):
            if self.parent.debug:
                print _("[%i] Trying to burst-download cover for %s[...]") % (self.num, self.url)
            try:
                urllib.urlretrieve(self.url, imagepath)
                return "0"
                if self.parent.debug:
                    print _("[%i] Burst-downloaded Cover from Jamendo") % self.num
            except IOError:
                print _("[%i] Could not get album cover from jamendo") % self.num
                return "1"
        else:
            return "0"
            if self.parent.debug:
                print _("[%i] Not Burst-Downloading: Cover on HD") % self.num

###################################################################
#
# test if to much threads a running at the same time
# RETURNS: True = to much threads, False = less than MAX_THREADS
#
def threadLimiter(threads):
    counter = 0
    for thread in threads:
        if threads[thread].isAlive():
            counter += 1
        if counter > MAX_THREADS:
            return True
    return False
