#!/usr/bin/python
# -*- coding: utf-8 -*-

import os
from time import time
from constants import DB_SEARCH_LIMIT
import functions

# Gettext - Übersetzung
functions.translation_gettext()
#def _(string):
#    return string
    
def preparedirs():
    home = os.getenv("HOME")
    if not os.path.exists(os.path.join(home, ".pyjama", "themes")):
        os.makedirs(os.path.join(home, ".pyjama", "themes"))
    return os.path.join(home, ".pyjama")

###################################################################
#
# download and extrackt themes 
# RETURNS: 0 = ok, 1 = download error, 2 = extraction error
# 
def download_pack():
    home=preparedirs()
    print _("Downloading themepack")
    ret = os.system("wget -cO %s xn--ngel-5qa.de/pyjama/release/themepack.tar.gz" % os.path.join(home, "themepack.tar.gz"))
    if ret <> 0:
        print _("Error downloading the themepack")
        return 1
    else:
        print _("Extracting themepack to '~/.pyjama/themes'")
        ret = os.system("tar -C %s -xf %s" % (home, os.path.join(home, "themepack.tar.gz")))
        if ret <> 0:
            print _("Error extracting the themepack")
            return 2
        else:
            print _("All done")
            return 0

