#!/usr/bin/env python
# -*- coding: utf-8 -*-

# "NowPlaying" notification Plugin
# by barabbas

from constants import *

class main():
    def __init__(self, pyjama):
        self.pyjama = pyjama
        ev = self.pyjama.Events
        ev.nowplaying += self.notification
        
    def notification(self, artist, album, track, icon, size = NOTIFICATION_COVER_SIZE):
        self.pyjama.icon.show_notification(caption  =_("Now playing"), text = "<b><i>%s</i></b>:\n%s" % (artist, track), img = icon, size = size)
            
